Bug 857572 - Bumped to 2.8.0, built on RHEL6
Bumped to 2.8.0, built on RHEL6
Status: NEW
Product: Fedora EPEL
Classification: Fedora
Component: FlightGear (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fabrice Bellet
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-14 18:13 EDT by Zenon Panoussis
Modified: 2012-09-18 15:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The .spec file (8.29 KB, application/octet-stream)
2012-09-14 18:13 EDT, Zenon Panoussis
no flags Details
The udev patch (367 bytes, patch)
2012-09-14 18:14 EDT, Zenon Panoussis
no flags Details | Diff
Updated .spec (8.45 KB, application/octet-stream)
2012-09-14 19:26 EDT, Zenon Panoussis
no flags Details

  None (edit)
Description Zenon Panoussis 2012-09-14 18:13:04 EDT
Created attachment 612998 [details]
The .spec file

Using The .spec filer-2.6.0-3.fc18.src.rpm and ftp://flightgear1.wo0t.de/Source/flightgear-2.8.0.tar.bz2 as the basis, I adjusted the .spec and added a patch to build on RHEL6. Relevant files attached. FGLinuxEventInput-udev.patch might need to be conditioned on udev version - I have no Fedora to test on.
Comment 1 Zenon Panoussis 2012-09-14 18:14:50 EDT
Created attachment 613000 [details]
The udev patch
Comment 2 Zenon Panoussis 2012-09-14 18:19:29 EDT
(In reply to comment #0)

Sorry, garbage text:

> Using The .spec filer-2.6.0-3.fc18.src.rpm and
> ftp://flightgear1.wo0t.de/Source/flightgear-2.8.0.tar.bz2 as the basis

Should read: Using FlightGear-2.6.0-3.fc18.src.rpm and ftp://flightgear1.wo0t.de/Source/flightgear-2.8.0.tar.bz2 as the basis...
Comment 3 Zenon Panoussis 2012-09-14 19:26:36 EDT
Created attachment 613015 [details]
Updated .spec

Overlooked the new libShivaVG.so. Adjusted .spec attached, release not bumped.
Comment 4 Fabrice Bellet 2012-09-18 15:03:28 EDT
Thanks for the spec file. I looked for the needed buildrequires in epel/centos repositories, and it seems that we're close to have all of them. I think OpenSceneGraph is not packaged yet.

Note You need to log in before you can comment on or make changes to this bug.